<div>
    <div class="row justify-content-center">
        <div class="col-md-8">
            <h1 jhiTranslate="reset.request.title">Reset your password</h1>

            <div class="alert alert-danger" jhiTranslate="reset.request.messages.notfound" *ngIf="errorEmailNotExists">
                <strong>Email Tidak Terverifikasi</strong> Coba Lagi Kembali.
            </div>

            <div class="alert alert-warning" *ngIf="!success">
                <p>Masukan Email yang terdaftar untuk verifikasi.</p>
            </div>

            <div class="alert alert-success" *ngIf="success === 'OK'">
                <p jhiTranslate="reset.request.messages.success">Cek Pesan (WA) Untuk Detail Reset Password.</p>
            </div>

            <form *ngIf="!success" name="form" role="form" (ngSubmit)="requestReset()" #resetRequestForm="ngForm">
                <div class="form-group">
                    <label class="form-control-label" >Email</label>
                    <input type="text" class="form-control" id="email" name="email" placeholder="Masukan Email yang terdaftar"
                           [(ngModel)]="resetAccount.email" minlength=5 maxlength=100 #emailInput="ngModel" required>
                    <div *ngIf="emailInput.invalid">
                        <small class="form-text text-danger"
                           *ngIf="emailInput.errors.required" jhiTranslate="global.messages.validate.email.required">
                            Email Anda Diperlukan.
                        </small>
                        <small class="form-text text-danger"
                           *ngIf="emailInput.errors.minlength" jhiTranslate="global.messages.validate.email.minlength">
                            Panjang Email Setidaknya 5 Karaketer.
                        </small>
                        <small class="form-text text-danger"
                           *ngIf="emailInput.errors.maxlength" jhiTranslate="global.messages.validate.email.maxlength">
                            Email Tidak Boleh Melebihi Panjang 100 Karakter.
                        </small>
                        
                    </div>
                    <ul>
                        <li>
                            <p class="form-text text-info">
                                Email yang di masukan untuk verifikasi data username yang terdaftar.
                            </p>
                        </li>
                        <li>
                            <p class="form-text text-info">
                                Link Verifikasi akan dikirim ke nomor WhatsApp yang terdaftar.
                            </p>
                        </li>
                        <li>
                            <p class="form-text text-info">
                                Hubungi IT jika memerlukan bantuan.
                            </p>
                        </li>
                    </ul>
                </div>
                <button type="submit" [disabled]="resetRequestForm.form.invalid" class="btn btn-primary" jhiTranslate="reset.request.form.button">Reset</button>
            </form>

        </div>
    </div>
</div>
